Merchant

Resolve an order as the merchant

POST
/api/orders/{orderId}/resolve

The merchant's side of an Undo. Sandbox only.

Path Parameters

orderId*string

Undo order id.

Formatuuid

Request Body

application/json

The merchant's decision.

What the merchant decided.

action*ResolveAction

What the merchant decides about an order.

Value in

  • "accept_claim"
  • "return_received"
  • "retry_settlement"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/orders/edd288bc-42d0-41d3-9b87-14915f3ff2c6/resolve" \  -H "Content-Type: application/json" \  -d '{    "action": "retry_settlement"  }'
{  "orderId": "edd288bc-42d0-41d3-9b87-14915f3ff2c6",  "settlement": {    "at": "2026-10-20T04:36:47.717Z",    "to": "8QKQG7YKAEQLW",    "from": "Careless demo agent",    "amount": "116.97",    "status": "SUCCESS",    "attempt": 1,    "currency": "USD",    "payoutItemId": "Z8UUKQLA3ERPQ",    "payoutBatchId": "Q2GJQLQFMJWTY",    "transactionId": "3JU78306XG5327728"  }}